local mq = require('mq')

function updatevars()
    if firstrun then
        autoassistat = 98
        assistrange = 60
        doheals = true
        dobuffs = true
        dodebuffs = true
        pullrad = '420'
        pullzrad = '200'
        usepet=true
        pulltools.pullchoice = 3
        pulltools.pullwith = 'pet'
        if checkforini()==false or updatespells==true then
            spells['mylevel'] = mq.TLO.Me.Level()

            spells['mount'] = locatemountitem('Mount')

            spells['rune1'] = findspells('Utility Beneficial','Rune','Single',0)

            spells['heal1'] = findspells('Heals','Heals','Single Friendly (or Target\'s Target)',0)

            spells['buff1'] = findspells('HP Buffs','HP type two','Group v2',0)
            spells['buff2'] = findspells('HP Buffs','Shielding','Group v2',0)
            spells['buff3'] = findspells('Regen','Health/Mana','Group v2',0)
            spells['buff4'] = findspells('Utility Beneficial','Haste','Single',0)

            spells['nuke1'] = findspells('Direct Damage','Cold','Single',0)
            spells['nuke2'] = findspells('Direct Damage','Fire','Targeted AE',0)
            spells['nuke3'] = findspells('Direct Damage','Magic','Single',0)
            spells['tash'] = findspells('Utility Detrimental','Resist Debuffs','Single',0)
            spells['slow'] = findspells('Utility Detrimental','Slow','Single',0)

            spells['dot1'] = findspells('Damage Over Time','Magic','Single',0)
            
            spells['petspell'] = findspells('Pet','Sum: Warder','Self',0)
            spells['pethaste'] = findspells('Pet','Pet Haste','Pet',0)
            spells['petbuff1'] = findspells('Pet','Pet Misc Buffs','Pet',0)

            SETTINGS[CHAR_CONFIG] = spells
            save_settings()
        end
    end
    petspells = {
        buffgem = 8,
        petspell = spells['petspell'],
        --{type = 'spell', gem = 0, name = spells['petbuff1'], result = spells['petbuff1'], condition = mq.TLO.Me.Pet.Buff(spells['petbuff1']).ID ~= nil},
        {type = 'spell', gem = 0, name = spells['pethaste'], result = spells['pethaste'], condition = mq.TLO.Me.Pet.Buff(spells['pethaste']).ID ~= nil},
        {type = 'aa', gem = 0, name = 'Hobble of Spirits', result = 'Hobble of Spirits', condition = mq.TLO.Me.Pet.Buff('Hobble of Spirits').ID ~= nil}
    }
    rezaa = 0
    rezspell = ''

    myspells = {
        buffgem = 8,
        {cat = 'heal', gem = 1, name = spells['heal1'], result = nil, starthp = 30},
        --{cat = 'heal', gem = 2, name = 'Healing of Mikkily', result = nil, starthp = 20},
        
        {cat = 'buffs', gem = 0, type = 'item', target = 'me', name = spells['mount'], result = mq.TLO.FindItem(spells['mount']).Spell(1), condition = mq.TLO.Zone.Outdoor() and mq.TLO.Me.BodyWet()==false and usemount==true},
        {cat = 'buffs', gem = 0, type = 'aa', target = 'me', name = 'Paragon of Spirit' , result = 'Paragon of Spirit', condition = mq.TLO.Me.PctMana() < 80 and mq.TLO.Me.AltAbilityReady('Paragon of Spirit')()},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff1'] , result = spells['buff1'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff3'] , result = spells['buff3'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff2'] , result = spells['buff2'], condition = true},
        {cat = 'buffs', gem = 6, type = 'spell', target = 'mt', name = 'Ferocity of Irionu', result = 'Ferocity of Irionu', condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = 'Summon Food' , result = '', condition = mq.TLO.FindItem('Summoned: Black Bread').ID() == nil},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = 'Summon Drink' , result = '', condition = mq.TLO.FindItem('Summoned: Globe of Water').ID() == nil},

        {cat = 'debuff', gem = 7, type = 'spell', name = 'Sha\'s Legacy', result = nil, castcommand = '/cast \"Sha\'s Legacy\"', starthp = 99, minmana=10, condition = not mq.TLO.Target.Slowed(), pausefor=0},
        {cat = 'debuff', gem = 3, type = 'spell', name = spells['nuke1'], result = nil, castcommand = '/cast \"'..spells['nuke1']..'\"', starthp = 99, minmana=60, condition = true, pausefor=40}
    }
end