local mq = require('mq')

function updatevars()
    if firstrun then
        usepet = false
        pulltools.pullchoice = 1
        pulltools.pullwith = 'melee'
        if checkforini()==false or updatespells==true then
            spells['mylevel'] = mq.TLO.Me.Level()

            spells['mount'] = locatemountitem('Mount')

            spells['heal1'] = findspells('Heals','Heals','Single',0)
            spells['heal2'] = findspells('Heals','Heals','Single',1)
            spells['heal3'] = findspells('Heals','Heals','Group v1',0)

            spells['buff1'] = findspells('HP Buffs','HP type one','Group v2',0) 
            spells['buff2'] = findspells('Utility Beneficial','Damage Shield','Group v1',0)
            spells['buff3'] = findspells('Create Item','Summon Weapon','Self',0)
            spells['buff4'] = findspells('Utility Beneficial','Movement','Group v2',0)
            spells['buff5'] = findspells('Utility Beneficial','Melee Guard','Group v1',0)

            spells['nuke1'] = findspells('Direct Damage','Fire','Single',0)
            spells['nuke2'] = findspells('Direct Damage','Magic','Single',0)

            spells['dot1'] = findspells('Damage Over Time','Magic','Single',0)

            SETTINGS[CHAR_CONFIG] = spells
            save_settings()
        end
        duration[1] = mq.TLO.Me.Spell(spells['dot1']).Duration()
        if duration[1] == nil then duration[1]=1 else duration[1]=duration[1]*30 end
    end
    rezaa = 0
    rezspell = ''
    myspells = {
        buffgem = 8,
        {cat = 'heal', gem = 1, name = spells['heal1'], result = nil, starthp = 50},
        {cat = 'heal', gem = 2, name = spells['heal2'], result = nil, starthp = 70},
        {cat = 'heal', gem = 3, name = spells['heal3'], result = nil, starthp = 90},
        {cat = 'groupheal', gem = 4, name = spells['heal4'], result = nil, starthp = 90},

        {cat = 'buffs', gem = 0, type = 'item', target = 'me', name = spells['mount'], result = mq.TLO.FindItem(spells['mount']).Spell(1), condition = mq.TLO.Zone.Outdoor() and mq.TLO.Me.BodyWet()==false and usemount==true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff1'], result = spells['buff1'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff2'], result = spells['buff2'], condition = true},
        --{cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff2'], result = mq.TLO.Me.Spell(spells['buff2']).Trigger(1), condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff4'], result = spells['buff4'], condition = mq.TLO.Zone.Outdoor()},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff5'], result = spells['buff5'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff3'], result = '', condition = mq.TLO.Me.Inventory(13).ID()==nil},
    
        {cat = 'debuff', gem = 6, type = 'spell', name = spells['nuke1'], castcommand = '/cast \"'..spells['nuke1']..'\"', starthp = 99, minmana=50, condition = true,pausefor=80},
        {cat = 'debuff', gem = 7, type = 'spell', name = spells['nuke2'], castcommand = '/cast \"'..spells['nuke2']..'\"', starthp = 99, minmana=50, condition = true,pausefor=90},
        {cat = 'debuff', gem = 0, type = 'OFFspell', name = 'Balance of Discord', castcommand = '/cast \"Balance of Discord\"', starthp = 99, minmana=10, condition = true,pausefor=0},
        {cat = 'debuff', gem = 0, type = 'aa', name = 'Entrap', castcommand = '/alt act 219', starthp = 50, minmana=80, condition = not mq.TLO.Target.Snared(), pausefor=0},
        {cat = 'debuff', gem = 0, type = 'OFFspell', name = 'OFF Breath of Wunshi', castcommand = '/cast \"Breath of Wunshi\"', starthp = 99, minmana=80, condition = true,pausefor=0}
    }
end