local mq = require('mq')

function updatevars()
    if firstrun then
        usepet = true
        assistrange = 100
        autoassistat = 98
        pulltools.pullchoice = 3
        pulltools.pullwith = 'pet'
        if checkforini()==false or updatespells==true then
            spells['mylevel'] = mq.TLO.Me.Level()

            spells['mount'] = locatemountitem('Mount')

            spells['rune1'] = findspells('Utility Beneficial','Rune','Single',0)

            spells['buff1'] = findspells('HP Buffs','Shielding','Self',0) 
            spells['buff2'] = findspells('Utility Beneficial','Combat Innates','Self',0)
            spells['buff3'] = findspells('Regen','Mana','Group v2',0)
            spells['buff4'] = findspells('Auras','Twincast','Self',0)
            spells['buff5'] = findspells('Utility Beneficial','Haste','Group v2',0)

            spells['nuke1'] = findspells('Direct Damage','Fire','Single',0)
            spells['nuke2'] = findspells('Direct Damage','Fire','Targeted AE',0)
            spells['nuke3'] = findspells('Direct Damage','Magic','Single',0)
            spells['tash'] = findspells('Utility Detrimental','Resist Debuffs','Single',0)
            spells['slow'] = findspells('Utility Detrimental','Slow','Single',0)

            spells['dot1'] = findspells('Damage Over Time','Magic','Single',0)
            
            spells['petspell'] = findspells('Pet','Sum: Air','Self',0)
            spells['petbuff'] = findspells('Pet','Pet Haste','Pet',0)

            SETTINGS[CHAR_CONFIG] = spells
            save_settings()
        end
        duration[1] = mq.TLO.Me.Spell(spells['dot1']).Duration()
        if duration[1] == nil then duration[1]=1 else duration[1]=duration[1]*30 end
    end
    rezaa = 0
    rezspell = ''
    myspells = {
        buffgem = 8,
        {cat = 'heal', gem = 7, name = spells['rune1'], result = spells['rune1'], starthp = 30},
        {cat = 'groupheal', gem = 0, name = spells['heal4'], result = nil, starthp = 1},

        {cat = 'buffs', gem = 0, type = 'item', target = 'me', name = spells['mount'], result = mq.TLO.FindItem(spells['mount']).Spell(1), condition = mq.TLO.Zone.Outdoor() and mq.TLO.Me.BodyWet()==false and usemount==true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff1'], result = spells['buff1'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff2'], result = spells['buff2'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff4'], result = spells['buff4'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff5'], result = spells['buff5'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff3'], result = spells['buff3'], condition = true},

        {cat = 'debuff', gem = 3, type = 'spell', name = spells['tash'], castcommand = '/cast \"'..spells['tash']..'\"', result = spells['tash'], starthp = 99, minmana=10, condition = true,pausefor=0},
        {cat = 'debuff', gem = 1, type = 'spell', name = spells['nuke1'], castcommand = '/cast \"'..spells['nuke1']..'\"', starthp = 99, minmana=50, condition = true,pausefor=180},
        {cat = 'debuff', gem = 2, type = 'spell', name = spells['nuke2'], castcommand = '/cast \"'..spells['nuke2']..'\"', starthp = 99, minmana=50, condition = true,pausefor=190},
        {cat = 'debuff', gem = 6, type = 'spell', name = spells['nuke3'], castcommand = '/cast \"'..spells['nuke3']..'\"', starthp = 99, minmana=50, condition = true,pausefor=190},
        {cat = 'debuff', gem = 0, type = 'OFFspell', name = 'OFF Curse of Sisslak', castcommand = '/cast \"Curse of Sisslak\"', starthp = 99, minmana=80, condition = true,pausefor=0},
        {cat = 'debuff', gem = 0, type = 'OFFspell', name = 'OFF Breath of Wunshi', castcommand = '/cast \"Breath of Wunshi\"', starthp = 99, minmana=80, condition = true,pausefor=0}
    }
    petspells = {
        buffgem = 8,
        petspell = spells['petspell'],
        {gem = 0, type = 'spell', name = spells['petbuff'], result = spells['petbuff'], condition = mq.TLO.Me.Pet.Buff(spells['petbuff']).ID ~= nil}
    }
end