local mq = require('mq')

function updatevars()
    if firstrun then
        usepet = false
        usemount = false
        pulltools.pullchoice = 4
        pulltools.pullwith = 'aa'
        if checkforini()==false or updatespells==true then
            spells['mylevel'] = mq.TLO.Me.Level()

            spells['mount'] = locatemountitem('Mount')

            spells['heal1'] = findspells('Heals','Quick Heal','Self',0)
            spells['heal2'] = findspells('Heals','Quick Heal','Self',1)
            spells['heal3'] = findspells('Heals','Delayed','Group v1',0)
            spells['heal4'] = findspells('Heals','Heals','Group v1',0)
            spells['heal5'] = findspells('Heals','Heals','Group v1',1)
            spells['heal6'] = findspells('Heals','Misc','Single',0)
            spells['heal7'] = findspells('Heals','Delayed','Single',0)

            spells['rez'] = findspells('Heals','Resurrection','Corpse',0)

            spells['group'] = findspells('Heals','Duration Heals','Group v2',0)
            
            spells['canni'] = findspells('Utility Beneficial','Conversions','Self',0)

            spells['buff1'] = findspells('HP Buffs','Shielding','Self',0) 
            spells['buff2'] = findspells('HP Buffs','Aegolism','Group v2',0)
            spells['buff3'] = findspells('Create Item','Summon Weapon','Self',0)
            spells['buff4'] = findspells('Utility Beneficial','Misc','Single',0)
            spells['buff5'] = findspells('Utility Beneficial','Melee Guard','Group v1',0)

            spells['growth'] = findspells('HP Buffs','Temporary','Single',0)

            SETTINGS[CHAR_CONFIG] = spells
            save_settings()
        end
        if mq.TLO.Me.AltAbilityReady('Divine Call')() then
            pulltools.pullwith = 'Divine Call'
            pulltools.pullchoice = 4
        elseif mq.TLO.Me.CombatAbilityReady('Throw Stone')() then
            pulltools.pullwith = 'Throw Stone'
            pulltools.pullchoice = 5
        end
    end
    rezaa = 3711
    rezspell = ''

    myspells = {
        buffgem = 8,
        {cat = 'heal', target = 'ct', gem = 1, name = spells['heal1'], result = nil, starthp = 30},
        {cat = 'heal', target = 'ct', gem = 2, name = spells['heal2'], result = nil, starthp = 80},
        {cat = 'heal', target = 't', gem = 3, name = spells['heal3'], result = nil, starthp = 90},
        {cat = 'groupheal', target = 'ct', gem = 4, name = spells['heal4'], result = nil, starthp = 70},
        {cat = 'groupheal', target = 'ct', gem = 5, name = spells['heal5'], result = nil, starthp = 80},

        {cat = 'buffs', gem = 0, type = 'item', target = 'me', name = spells['mount'], result = mq.TLO.FindItem(spells['mount']).Spell(1), condition = mq.TLO.Zone.Outdoor() and mq.TLO.Me.BodyWet()==false and usemount==true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff1'], result = spells['buff1'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff2'], result = mq.TLO.Me.Spell(spells['buff2']).Trigger(1), condition = true},
        {cat = 'buffs', gem = 7, type = 'spell', target = 'mt', name = spells['buff4'], result = spells['buff4'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff5'], result = spells['buff5'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff3'], result = '', condition = mq.TLO.Me.Inventory(13).ID()==nil},

        {cat = 'debuff', gem = 6, type = 'spell', name = spells['heal6'], castcommand = '/cast \"'..spells['heal6']..'\"', starthp = 99, minmana=10, condition = true,pausefor=0}
    }
end