local mq = require('mq')

function updatevars()
    if firstrun then
        usepet = true
        assistrange = 100
        autoassistat = 98
        pulltools.pullchoice = 3
        pulltools.pullwith = 'pet'
        if checkforini()==false or updatespells==true then
            spells['mylevel'] = mq.TLO.Me.Level()

            spells['mount'] = locatemountitem('Mount')

            spells['heal1'] = findspells('Heals','Heals','Single',0)
            spells['heal2'] = findspells('Heals','Heals','Single',1)
            spells['heal3'] = findspells('Heals','Duration Heals','Group v1',0)

            spells['rez'] = findspells('Heals','Resurrection','Corpse',0)

            spells['group'] = findspells('Heals','Duration Heals','Group v2',0)
            
            spells['canni'] = findspells('Utility Beneficial','Conversions','Self',0)

            spells['buff1'] = findspells('Utility Beneficial','Misc','Self',0) 
            spells['buff2'] = findspells('HP Buffs','Shielding','Group v2',0)
            spells['buff3'] = findspells('Utility Beneficial','Haste','Group v2',0)
            spells['buff4'] = findspells('Utility Beneficial','Combat Innates','Single',0)

            spells['growth'] = findspells('HP Buffs','Temporary','Single',0)

            spells['petspell'] = findspells('Pet','Sum: Warder','Self',0)
            spells['petbuff'] = findspells('Pet','Pet Haste','Pet',0)

            spells['slow'] = findspells('Utility Detrimental','Slow','Single',0)
            spells['dot1'] = findspells('Damage Over Time','Disease','Single',0)

            SETTINGS[CHAR_CONFIG] = spells
            save_settings()
        end
    end

    myspells = {
        buffgem = 8,
        canniaa = 47,
        canni = spells['canni'],
        cannihp = 90,
        cannimana = 60,
        {cat = 'heal', gem = 1, name = spells['heal1'], result = nil, starthp = 40},
        {cat = 'heal', gem = 2, name = spells['heal2'] , result = nil, starthp = 80},
        {cat = 'groupheal', gem = 3, name = spells['heal3'], result = spells['heal3'] , starthp = 90},

        {cat = 'buffs', gem = 0, type = 'item', target = 'me', name = spells['mount'], result = mq.TLO.FindItem(spells['mount']).Spell(1), condition = mq.TLO.Zone.Outdoor() and mq.TLO.Me.BodyWet()==false and usemount==true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff1'], result = spells['buff1'], condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff2'], result = mq.TLO.Me.Spell(spells['buff2']).Trigger(1), condition = true},
        {cat = 'buffs', gem = 0, type = 'spell', target = 'me', name = spells['buff3'], result = spells['buff3'], condition = true},
        {cat = 'buffs', gem = 6, type = 'spell', target = 'me', name = spells['canni'], result = spells['canni'], condition = false},
        {cat = 'buffs', gem = 10, type = 'spell', target = 'me', name = spells['rez'], result = spells['rez'], condition = false},
        {cat = 'buffs', gem = 5, type = 'spell', target = 'mt', name = spells['buff4'], result = spells['buff4'], condition = true},
        {cat = 'buffs', gem = 4, type = 'spell', target = 'mt', name = spells['growth'], result = spells['growth'], condition = true},

        {cat = 'debuff', gem = 0, type = 'aa', name = 'Turgur\'s Swarm', result = nil, castcommand = '/alt act 3729', starthp = 99, minmana=10, condition = not mq.TLO.Target.Slowed() and mq.TLO.Me.XTarget()<2, pausefor=0},
        {cat = 'debuff', gem = 0, type = 'aa', name = 'Turgur\'s Virulent Swarm', result = nil, castcommand = '/alt act 856', starthp = 99, minmana=10, condition = not mq.TLO.Target.Slowed() and mq.TLO.Me.XTarget()>1, pausefor=0},
        {cat = 'debuff', gem = 7, type = 'spell', name = spells['slow'], result = nil, castcommand = '/cast \"'..spells['slow']..'\"', starthp = 99, minmana=10, condition = not mq.TLO.Target.Slowed() and mq.TLO.Me.AltAbility('Turgur\'s Swarm').ID==nil, pausefor=0},
        {cat = 'debuff', gem = 9, type = 'spell', name = spells['dot1'], result = spells['dot1'], castcommand = '/cast \"'..spells['dot1']..'\"', starthp = 99, minmana=80, condition = true, pausefor = 0},
        }
    petspells = {
        buffgem = 8,
        petspell = spells['petspell'],
        {gem = 0, type = 'spell', name = spells['petbuff'], result = spells['petbuff'], condition = mq.TLO.Me.Pet.Buff(spells['petbuff']).ID ~= nil}
    }
end