-- testing to see if i can make a simple lua bot script
-- copy/pasted bits here and there in this code
-- Apr 2023 Pezak
-- MQ2Melee is in use by this thing

local mq = require('mq')

local LIP = require('autotoon/LIP')

classinc = 'autotoon/classes/'..mq.TLO.Me.Class.ShortName()

local class = require(classinc)

if class==false then print('I am sorry, this class is not supported yet') return end

pause = true
camploc = {x = 0, y = 0, z = 0}

assistrange = 100
autoassistat = 98
usepet = true
usemount = true
usemerc = true
dopull = false
blockedspells = {}
pausedspells = {}
pulltools = {}
markedmob = {}

petspells = {}
petspell = ''

rezaa = 0
rezspell = ""
rezitem = ""

spells = {}
myspells = {}
duration = {}
firstrun = true
updatespells = false
summoned = false
lastcast = 0
dodebug  = false
calmness = 0
calmenough = 75
gcom = ''
usemeleeplugin = true
dogcom = false
doassist = true
domelee = true
dobuffs = true
dodebuffs = true
doheals = true
assistoutside = { on=false, id=nil, name='Pick a pc'}
pullrad = '420'
pullzrad = '200'
pullproblem = {}
pullpausemacro = true
gotonewithpet = false
checkgroupmana = 40
lowlvl = 1
highlvl = 120
pullable = {}
debugmsg = {}
needapause = false
paustime = mq.TLO.Timer
dopaustime = os.time()
pulling = false
wereon = true


CHAR_CONFIG = 'Settings_' .. mq.TLO.EverQuest.Server() .. '_' .. mq.TLO.Me.CleanName()
CONFIG_DIR = mq.TLO.MacroQuest.Path() .. "\\lua\\autotoon\\ini\\"
SETTINGS_FILE = 'Autotoon_'..mq.TLO.Me.CleanName()..'.ini'
SETTINGS_PATH = CONFIG_DIR..SETTINGS_FILE
SETTINGS = {}
VERSION = '0.08'
SETTINGSVERSION = '1'

print(string.format('\n\nwelcome to version\ay %s \axof Pezaks Autotoon \n\n',VERSION))

local openGUI = true
local shouldDrawGUI = true

function debug(what)
    if dodebug then
        for i = 1, 9 do
            debugmsg[i] = debugmsg[i+1]
        end
        debugmsg[10]=mq.TLO.Time()..': '..what
    end
end
function groupmessage(what)
    if mq.TLO.Group.Leader()~=nil then
        mq.cmd('/docommand /dgt group_'..mq.TLO.EverQuest.Server()..'_'..mq.TLO.Group.Leader()..' '..what)
    end
end
function save_settings()
    LIP.save(SETTINGS_PATH, SETTINGS)
end
function file_exists(path)
    local file = io.open(path, "r")
    if file ~= nil then
        io.close(file)
        return true
    else
        return false
    end
end
function locatemountitem(choice)
    local x=0
    local cont = true
        x=0
        while cont == true do
            test = mq.TLO.Mount(x).Name()
            if x == mq.TLO.Mount.Count() then cont=false end
            if test~=nil then 
                    cont=false 
                    print(mq.TLO.Mount(x).Name())
                    return mq.TLO.Mount(x).Name()
            end
            x = x + 1
    end
end
function update_save_settings()
    spells['settings_version'] = SETTINGSVERSION
    spells['settings_domelee'] = domelee
    spells['settings_pullrad'] = pullrad
    spells['settings_pullzrad'] = pullzrad
    spells['settings_dobuffs'] = dobuffs
    spells['settings_dodebuffs'] = dodebuffs
    spells['settings_doheals'] = doheals
    spells['settings_autoassistat'] = autoassistat
    spells['settings_assistrange'] = assistrange
    spells['settings_usemount'] = usemount
    spells['settings_usemerc'] = usemerc
    spells['settings_usepet'] = usepet
    spells['settings_pullpausemacro'] = pullpausemacro
    spells['settings_pullchoice'] = pulltools.pullchoice
    spells['settings_pullwith'] = pulltools.pullwith
    SETTINGS[CHAR_CONFIG] = spells
    save_settings()
end
function update_load_settings()
    for i, v in ipairs(spells) do
        print(i)
        print(v.settings_pullrad)
        if string.find(v,'settings_') then
            print(v)
        end
    end
    domelee = spells['settings_domelee'] 
    pullrad = tostring(spells['settings_pullrad'])
    pullzrad = tostring(spells['settings_pullzrad'])
    dobuffs = spells['settings_dobuffs'] 
    dodebuffs = spells['settings_dodebuffs'] 
    doheals = spells['settings_doheals']
    autoassistat = spells['settings_autoassistat']
    assistrange = spells['settings_assistrange']
    usemount = spells['settings_usemount']
    usemerc = spells['settings_usemerc']
    usepet = spells['settings_usepet']
    pullpausemacro = spells['settings_pullpausemacro']
    pulltools.pullchoice = spells['settings_pullchoice']
    pulltools.pullwith = spells['settings_pullwith']
end
function findspells(category,subcategory,target,grab)
    local x = 1
    local t = 1
    local y = 1
    local bestlevel = 0
    local foundspell = 'none'
    local grabspell = {}
    local grabspelllevel = {}
    local cont = true
    local test = 0
    grabspell[t] = 'none'  
    while cont == true do
        test = mq.TLO.Me.Book(x).Level()
        if test == nil then test = 0 end
            if test > 0 then
                    if target == mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).TargetType() and category == mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).Category() and subcategory == mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).Subcategory() 
                        and (grab==0 or grab==mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).RecastTimerID()) then
                            --print((0 or mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).Timer()))
                        if mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).Level() >= bestlevel then
                            bestlevel = mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).Level()
                            t = t + 1
                            grabspell[t] = mq.TLO.Me.Spell(mq.TLO.Me.Book(x)).Name()
                            grabspelllevel[t] = bestlevel 
                        end
                        y=y+1
                    end
            x = x + 1
        else
            cont = false
        end
    end
    print(string.format('iterated trough %s valid spells, chose %s',y,grabspell[t]))
    foundspell = grabspell[t]
    return foundspell
end
function memspells(memstuff,quickmode)
    for i, v in ipairs(memstuff) do
        if v.gem > 0 and v.name ~=nil and v.name~='none' and mq.TLO.Me.Book(v.name)~=nil then
            test=mq.TLO.Me.Gem(v.gem).Name()
            if test==nil then test='dummy' end
            --print(mq.TLO.Me.Gem(v.gem))
            if string.find(v.name,test)==nil and v.gem<=mq.TLO.Me.NumGems() then
                --print(v.gem)
                mq.delay(1000)
                print(string.format('memming spell\ag %s \axin gem \ay%s\ax',v.name,v.gem))
                mq.delay(1000)
                mq.cmd('/memspellslot '..v.gem..' '..v.name)
                if quickmode then mq.delay(4000)
                else
                    local failcount=0
                    while mq.TLO.Me.SpellReady(v.name)() == false and failcount < 12000 do
                        mq.delay(10)
                        failcount=failcount + 1
                    end
                end
            end
        end
    end
    --mq.delay(1000)
end
function checkforini()
    if file_exists(SETTINGS_PATH) then
        SETTINGS = LIP.load(SETTINGS_PATH)
        if SETTINGS[CHAR_CONFIG] == nil then
            return false
        else
            spells = SETTINGS[CHAR_CONFIG]
            if spells['mylevel']~=mq.TLO.Me.Level() or tostring(spells['settings_version']) ~= SETTINGSVERSION then
                print('   settings file need an upate')
                print('---------------------------------')
                update_save_settings()
                return false
            else
                update_load_settings()
                return true
            end
        end
    else
       return false
    end
end
function checkfordata()
    if SETTINGS[CHAR_CONFIG] == nil then
        SETTINGS[CHAR_CONFIG] = spells
        save_settings()
    end
end
function castpause()
    while mq.TLO.Me.Casting() do
        mq.delay(10)
    end
end
function mydebuffcast(spell)
    if spell.type == 'spell' then
        if mq.TLO.Me.SpellReady(spell.name)() then
            groupmessage("debuff with spell: "..spell.name)
            lastcast = spell.name
            mq.cmd(spell.castcommand)
            mq.delay(1000)
            castpause()
        end
    end
    if spell.type == 'aa' then
        if mq.TLO.Me.AltAbilityReady(spell.name)() then
            groupmessage("debuff with aa: "..spell.name)
            lastcast = spell.name
            mq.cmd(spell.castcommand)
            mq.delay(1000)
            castpause()
        end
    end
    if spell.type == 'item' then
        if mq.TLO.Me.ItemReady(spell.name)() then
            groupmessage("debuff with item: "..spell.name)
            lastcast = spell.name
            mq.cmd(spell.castcommand)
            mq.delay(1000)
            castpause()
        end
    end
end
function mybuffcast(spell)
    castpause()
    local test = 'none'
    if spell.gem > 0 then
        nowgem = spell.gem
    else
        nowgem = myspells.buffgem
    end
    --if nowgem==nil then nowgem=8 end
    if spell.condition == true and spell.name ~= nil then
        if spell.type == 'spell' then
            if string.find(test,spell.name) == nil then
                if mq.TLO.Me.Gem(nowgem).Name()~=spell.name then
                    mq.delay(1000)
                    print('memming spell '..spell.name)
                    mq.delay(1000)
                    mq.cmd('/memspellslot '..nowgem..' '..spell.name)
                    mq.delay(1000)
                end
                local failcount=0
                while mq.TLO.Me.SpellReady(spell.name)() == false and failcount < 1200 do
                    mq.delay(10)
                    failcount=failcount + 1
                end
                mq.cmd('/book close')
                mq.delay(1000)
            end
            if mq.TLO.Me.XTarget()>0 then return false end
            lastcast = spell.name
            if mq.TLO.Me.SpellReady(spell.name)() then
                groupmessage("buffing spell "..spell.name)
                mq.cmd('/cast \"'..spell.name..'\"')
                mq.delay(1000)
                return true
            else
                return false
            end
        end
        if spell.type == 'item' then
            if mq.TLO.FindItem(spell.name).ID~=nil then
                lastcast = spell.name
                groupmessage("buffing item "..spell.name)
                mq.cmd('/useitem '..spell.name)
                mq.delay(1000)
                return true
            else
                return false
            end
        end
        if spell.type == 'aa' then
            if mq.TLO.Me.AltAbilityReady(spell.name)() then
                lastcast = spell.name
                groupmessage("buffing aa "..spell.result)
                mq.cmd('/alt act '..mq.TLO.Me.AltAbility(spell.name).ID())
                mq.delay(1000)
                return true
            else
                return false
            end
        end
    end
end
function goodToGo()
	return not mq.TLO.Me.Stunned()
	and not	mq.TLO.Me.Dead() 
	and not mq.TLO.Me.Feigning() 
	and not	mq.TLO.Me.Ducking()
	and not mq.TLO.Me.Silenced()
	and not mq.TLO.Me.Charmed()
	and not mq.TLO.Me.Mezzed()
	and not mq.TLO.Me.Invulnerable()
	and not mq.TLO.Me.Casting()
end
function fixpet()
    castpause()
    updatevars()
    if petspells.petspell ~= nil and mq.TLO.Me.Pet() == 'NO PET' and usepet==true then
        print('memming pet spell '..petspells.petspell)
        mq.cmd('/memspellslot '..petspells.buffgem..' '..petspells.petspell)
        mq.delay(6000)
        local failcount=0
        while mq.TLO.Me.SpellReady(petspells.petspell)() == false and failcount < 10000 do
            mq.delay(10)
            failcount=failcount + 1
        end
        mq.delay(1000)
    
        print("casting "..petspells.petspell)
        mq.cmd('/cast \"'..petspells.petspell..'\"')
        mq.delay(1000)
    end
    if mq.TLO.Me.Pet() ~= 'NO PET' then
        for i, v in ipairs(petspells) do
            if v.condition == true and v.name~='none' then
                debug('pet buff: '..v.name)
                mybuffcast(v)
            end
        end
    end
end
function Checksongs()
    if mq.TLO.Cursor.ID() ~= nil then mq.cmd('/autoinv') mq.delay(500) end
    castpause()
    updatevars()
    local usegem
    if goodToGo() and mq.TLO.Me.XTarget() < 1 then
        --if mq.TLO.Me.Casting() == false then
            for i, v in ipairs(mysongs) do
                --print ('tjo')
                if v.type == 'rest' and v.condition == true then
                    mq.cmd(v.castcommand)
                    mq.delay(2000)
                end
            end
        --end
    end
    if goodToGo() and mq.TLO.Me.XTarget() > 0 then
        --if mq.TLO.Me.Casting() == false then
            for i, v in ipairs(mysongs) do
                if v.type == 'combat' and v.condition == true then
                    mq.cmd(v.castcommand)
                    mq.delay(2000)
                end
            end
        --end
    end
end
function Checkbuffs()
    if mq.TLO.Cursor.ID() ~= nil then mq.cmd('/autoinv') mq.delay(500) end
    castpause()
    updatevars()
    if mq.TLO.Me.Class.ShortName() == 'SHM' then
        if mq.TLO.Me.PctHPs() > myspells.cannihp and mq.TLO.Me.PctMana() < myspells.cannimana then
            if mq.TLO.Me.AltAbilityReady(myspells.canniaa)() then 
                print('canni aa')
                mq.cmd('/alt act '..myspells.canniaa)
                mq.delay(100)
            else
                if mq.TLO.Me.SpellReady(myspells.canni)() then
                    print('canni spell')
                    mq.cmd('/cast \"'..myspells.canni..'\"')
                    mq.delay(100)
                end
            end
        end
    end

    if goodToGo() and mq.TLO.Me.XTarget() < 1 and mq.TLO.Me.PctMana() > 1 then
        for i, v in ipairs(myspells) do
            if v.name ~= 'none' and v.cat == 'buffs' and v.gem<=mq.TLO.Me.NumGems() then
                if v.target == 'mt' and mq.TLO.Group.MainTank.ID()~=null then
                    if v.condition == true and mq.TLO.Group.MainTank.Buff(v.result).ID() == nil and blockedspells[v.result] ~= true then
                        mq.cmd('/target id '..mq.TLO.Group.MainTank.ID())
                        mq.delay(2000)
                        if mybuffcast(v) then break 
                        else return end
                    end
                end
                if v.target == 'me' then
                    if v.condition == true and mq.TLO.Me.Buff(v.result).ID() == nil and blockedspells[v.result] ~= true then
                        mq.cmd('/target id '..mq.TLO.Me.ID())
                        mq.delay(2000)
                        if mybuffcast(v) then break else return end
                    end
                end
            end
        end
    end
end
GroupAssist = function()
    local currentTargetID = mq.TLO.Target.ID()
    local foundtarget = nil

    if assistoutside.on==true and mq.TLO.Me.XTarget()>0 and mq.TLO.Target.ID()~=nil then return end

    local groupAssist = function () 
        if assistoutside.on == true then
            --groupAssist = function () return mq.TLO.Spawn(assistoutside.id).Target() end
            if foundtarget == nil then
                mq.TLO.Spawn(assistoutside.id).DoAssist()
                mq.delay(1000)
                foundtarget=true
            end
            return mq.TLO.Target
        else
            return mq.TLO.Me.GroupAssistTarget
        end
    end
    --print(groupAssist().ID())
    local assistHPs = groupAssist().PctHPs()
    if currentTargetID ~= groupAssist().ID() and assistHPs ~= nil and assistHPs <= autoassistat and groupAssist().Dead() == false and mq.TLO.Navigation.PathLength(groupAssist().ID)() < assistrange then
        if groupAssist().Type()=='NPC' then
            print('Targeting '..groupAssist().DisplayName())
            groupAssist().DoTarget()

            if string.find('RNG, MNK, BER, ROG, BRD, BST, PAL, SHD, WAR', mq.TLO.Me.Class.ShortName()) and (mq.TLO.Target.Distance() or 0) < assistrange then
                mq.cmd('/sit off')
                mq.delay(1000)
                --mq.cmd('/stick 10')
                mq.cmd('/attack on')
                mq.cmd('/melee on')
            end
            if mq.TLO.Me.Pet() ~= 'NO PET' and (mq.TLO.Target.Distance() or 0) < assistrange then mq.cmd('/pet attack') end
        end
    end
end
local function Picktarget()
    local tc = mq.TLO.Me.XTarget()
    local foundid = 0
    local foundlevel = 0
    local foundc = 0

    if tc~=nil then
        for i = 1, tc do
            if (mq.TLO.Me.XTarget(i).Level() or 0) > foundlevel then
                foundlevel = mq.TLO.Me.XTarget(i).Level()
                foundid = mq.TLO.Me.XTarget(i).ID()
                foundc = i
            end
        end
        mq.TLO.Me.XTarget(foundc).DoTarget()
        mq.delay(20)
    end
end
local function debuffs()
    updatevars()
    local currentTargetID = mq.TLO.Target.ID()
    local paused=false
    local test = 0
    local test2 = mq.TLO.Target.PctHPs()
    if test2 == nil then return end
    if (mq.TLO.Me.XTarget() > 0 or assistoutside.on==true) and mq.TLO.Target.Type() == 'NPC' and test2 < autoassistat then
        calmness = 0
        for i, v in ipairs(myspells) do
            if v.cat=='debuff' and v.gem<=mq.TLO.Me.NumGems() then
                paused=false
                if pausedspells[v.name] ~= nil then
                    if pausedspells[v.name] > 0 then
                        pausedspells[v.name] = pausedspells[v.name] - 1
                        paused=true
                    end
                end 
                if mq.TLO.Target.Dead() == false and paused == false then
                    test = mq.TLO.Target.Buff(v.result).Duration()
                    if test == nil then test=0 end
                    if test == 0 and test2 < v.starthp and mq.TLO.Me.PctMana() > v.minmana and v.condition == true then
                        mydebuffcast(v)
                        if v.pausefor > 0 then
                            pausedspells[v.name]=v.pausefor
                        end
                    end
                end
            end
        end
    end
end
local function checkgroup()
    local groupMembers = mq.TLO.Group.Members()
    for i = 0, groupMembers do
        if mq.TLO.Group.Member(i).Present() == true and mq.TLO.Group.Member(i).Spawn.Dead() == false then
           --if dopull and (mq.TLO.Group.Member(i).PctMana() < checkgroupmana or mq.TLO.Group.Member(i).PctHPs() < 40) and paustime==nil and string.find('CLR, DRU, SHM, RNG, PAL, SHD, BST, ENC, MAG', mq.TLO.Group.Member(i).Spawn.Class.ShortName()) then needapause=true end
           --if dopull and (mq.TLO.Group.Member(i).PctHPs() < 40) and paustime==nil and string.find('ROG, MNK, BER, WAR', mq.TLO.Group.Member(i).Spawn.Class.ShortName()) then needapause=true end
        end
    end
end
local function Checkgrouphp()
    local groupMembers = mq.TLO.Group.Members()
    local hurtid=0
    local temphp=100
    local hurtcount=0
    local hurtname=""
    local groupnr=0
    local rezid=0
    updatevars()

    if goodToGo() then
        for i = 0, groupMembers do
            if mq.TLO.Group.Member(i).Present() == true and mq.TLO.Group.Member(i).Spawn.Dead() == false then
                if mq.TLO.Group.Member(i).PctHPs() < 100 then
                    if mq.TLO.Group.Member(i).PctHPs() < temphp then
                        temphp=mq.TLO.Group.Member(i).PctHPs()
                        hurtid=mq.TLO.Group.Member(i).ID()
                        groupnr = i
                        hurtname=mq.TLO.Group.Member(i).Name()
                        hurtcount=hurtcount+1
                    end
                end
                if dopull and mq.TLO.Group.Member(i).PctMana() < 20 and paustime==nil and string.find('CLR, DRU, SHM, RNG, PAL, SHD, BST, ENC, MAG', mq.TLO.Group.Member(i).Spawn.Class.ShortName()) then needapause=true end
            end
            if mq.TLO.Group.Member(i).Spawn.Dead() == true and (rezspell~=nil or rezaa~=nil or rezitem~=nil) then
                mq.cmd("/target ID "..mq.TLO.Group.Member(i).ID())
                mq.delay(2120)
                if mq.TLO.Me.SpellReady(rezspell)() == true then
                    print('rezzing')
                    mq.cmd.cast(rezspell)
                    mq.delay(16000)
                    break 
                end
                if mq.TLO.Me.AltAbilityReady(rezaa)() == true then
                    print('rezzing')                 
                    mq.cmd.alt("act "..rezaa)
                    mq.delay(16000)
                    break
                end
                if mq.TLO.Me.ItemReady(rezitem)() == true then
                    print('rezzing')
                    mq.cmd.useitem(rezitem)
                    mq.delay(16000)
                    break 
                end
            end
        end
        if hurtcount > 2 and mq.TLO.Me.Casting() == nil then
            for i, v in ipairs(myspells) do
                if v.cat == 'groupheal' and v.name ~= 'none' and temphp < v.starthp and blockedspells[v.result] ~= true then
                    print("whole bunch of people is hurt, trying group healing")
                    if v.target ~='ct' then
                        mq.cmd("/target ID "..hurtid)
                        mq.delay(20)
                    end
                    if v.result ~= nil then
                        if mq.TLO.Me.SpellReady(v.name)() and mq.TLO.Target.Buff(v.result).Duration() == nil then
                            mq.cmd('/cast \"'..v.name..'\"')
                            return
                        end
                    else
                        if mq.TLO.Me.SpellReady(v.name)() then
                            mq.cmd('/cast \"'..v.name..'\"')
                            return
                        end
                    end
                end
            end
        end
        if temphp < 100 and ipairs(myspells) ~= nil then
            -- if mq.TLO.Target.Type() ~= 'Corpse' then
                for i, v in ipairs(myspells) do
                    if v.cat == 'heal' and v.name ~= 'none' and temphp < v.starthp and blockedspells[v.result] ~= true then
                        if v.result ~= nil then
                            if mq.TLO.Me.SpellReady(v.name)() and mq.TLO.Target.Buff(v.result).Duration() == nil then
                                if v.target ~= 'ct' then
                                    mq.cmd("/target ID "..hurtid)
                                    mq.delay(20)
                                end
                                print(hurtname.." is hurt, healing with \ax"..v.name)
                                mq.cmd('/cast \"'..v.name..'\"')
                                break
                            end
                        else
                            if mq.TLO.Me.SpellReady(v.name)() then
                                if v.target ~= 'ct' then
                                    mq.cmd("/target ID "..hurtid)
                                    mq.delay(20)
                                end
                                print(hurtname.." is hurt, healing with \ax"..v.name)
                                mq.cmd('/cast \"'..v.name..'\"')
                                break
                            end
                        end
                    end
                end
                --mq.delay(1000)
            -- end
        end
            
        if mq.TLO.Target.Type() == 'Corpse' then mq.cmd('/target clear') end
    end
end
local function setcamp()
    camploc.x = mq.TLO.Me.X()
    camploc.y = mq.TLO.Me.Y()
    camploc.z = mq.TLO.Me.Z()
    print('setting camp at :'..camploc.x..','..camploc.y..','..camploc.z)
end
local function checkifcamp()
    if goodToGo() and camploc.x ~=0 then
        local x = math.abs(mq.TLO.Me.X() - camploc.x)
        local y = math.abs(mq.TLO.Me.Y() - camploc.y)
        local z = math.abs(mq.TLO.Me.Z() - camploc.z)
        if x > 30 or y > 30 or z > 30 then
            mq.cmdf('/squelch /nav locxyz %s, %s, %s', camploc.x, camploc.y, camploc.z)
            return false
        end
    end
    return true
end
local function togglePause(val)
	if val == 'on' then print('\at[autotoon] \agPAUSED') mq.delay(1000) pause = true
	elseif val == 'off' then 
		pause = false
		print('\at[autotoon] \agUNPAUSED')
	else
		if pause == true then
			pause = false
			print('\at[autotoon] \agUNPAUSED')
		else pause = true print('\at[autotoon] \agPAUSED') mq.delay(1000)
		end
	end
end
local function workmelee()
    local targethp=mq.TLO.Target.PctHPs()
    if targethp==nil then return end
    if mq.TLO.Target.ID()~=nil then
        if mq.TLO.Target.ID() == mq.TLO.Me.GroupAssistTarget.ID() and mq.TLO.Target.Distance()~=nil then
            if mq.TLO.Target.Distance() < assistrange and mq.TLO.Me.XTarget()>0 then
                if mq.TLO.Me.Combat() == false then
                    for i = 0, mq.TLO.Me.XTarget() do
                        if mq.TLO.Me.XTarget(i).ID() == mq.TLO.Target.ID() then
                            if mq.TLO.Me.Sitting() then mq.cmd('/sit off') end
                            mq.delay(1000)
                            if targethp <= autoassistat then
                                mq.cmd('/attack on')
                                mq.cmd('/melee on')
                                break
                            end
                        end
                    end
                end
            end
        end
    end
    if mq.TLO.Me.Combat() then
        calmness = 0
    end
end
function findtarget()
    debug('trying to find a target')
    local pullsearch = string.format('npc radius %s targetable zradius %s range %s %s playerstate 0',pullrad,pullzrad,lowlvl,highlvl)
    local pullcount = mq.TLO.SpawnCount(pullsearch)()
    local beforelength = tonumber(pullrad)
    local found_id = 0
    if pullcount > 0 then
        for i = 1, pullcount do
            local pull_id = mq.TLO.NearestSpawn(i, pullsearch).ID()
            if pullable[mq.TLO.NearestSpawn(i, pullsearch).CleanName()] and markedmob[pull_id]==nil then
                if mq.TLO.Navigation.PathExists('id '..pull_id) and mq.TLO.Navigation.PathLength('id '..pull_id)()<beforelength then
                    found_id = pull_id
                    beforelength = mq.TLO.Navigation.PathLength('id '..pull_id)()
                end
            end
        end
    end
    if found_id > 0 then return found_id end
    return 0
end
function markmob(mob_id)
    markedmob[mob_id] = true
end
function moveclose(mob_id,startdistance)
    --print(startdistance)
    if mq.TLO.Navigation.PathExists('id '..mob_id)()==false then 
        markmob(mob_id)
        debug('cant reach mob')
        print('cant reach pull '..mob_id)
        return false
    end
    debug(startdistance)
    mq.cmdf('/nav target distance=%s',startdistance)
    mq.delay(2000)
    while (mq.TLO.Navigation.Active() and mq.TLO.Me.XTarget()<1) do 
        mq.delay(10) 
    end
    while true do
        if mq.TLO.Target.LineOfSight()==false then
            debug(startdistance)
            mq.cmdf('/nav target distance=%s',startdistance)
            mq.delay(1000)
            startdistance = startdistance-20
            if startdistance < 0 then startdistance=10 end
            while (mq.TLO.Navigation.Active() and mq.TLO.Me.XTarget()<1 and mq.TLO.Target.LineOfSight()==false) do 
                mq.delay(10) 
            end
            mq.cmd('/nav stop')
        end
        if mq.TLO.Target.LineOfSight()==true or mq.TLO.Me.XTarget()>0 then
            mq.cmd('/nav stop')
            break
        end
    end
    return true
end
function pullmob()
    debug('pull is on')
    local pull_id = findtarget()
    if pull_id > 0 then
        debug('a target located')
        pulling = true
        local startdistance=300
        --mq.cmdf('/nav ID %s distance=300',pull_id)
        --while (mq.TLO.Navigation.Active() and mq.TLO.Me.XTarget()<1) do 
        --    mq.delay(10) 
        --end
        if mq.TLO.Me.XTarget()<1 and pulltools.pullchoice~=nil then
            debug('found a target, pulling')
            if pullpausemacro==true then mq.cmd('/mqp on') end
            mq.cmdf('/target ID %s',pull_id)
            mq.delay(2000)
            if pulltools.pullchoice == 1 then
                debug('melee pull')
                if moveclose(pull_id,10)==false then return false end
                mq.cmd('/stick 10')
                mq.cmd('/attack on')
                mq.cmd('/melee on')
                mq.delay(4000)
                mq.cmd('/stick off')
                mq.cmd('/attack off')
                mq.cmd('/melee off')
            elseif pulltools.pullchoice == 2 and mq.TLO.Me.Inventory(11).Range()~=nil then  
                local item_range = mq.TLO.Me.Inventory(11).Range()-10
                if moveclose(pull_id,item_range)==false then return false end
                mq.cmd('/attack off')
                mq.delay(100)
                mq.cmd('/range')
                mq.delay(100)
            elseif pulltools.pullchoice == 3 and mq.TLO.Me.Pet() ~= 'NO PET' then
                debug('pull with pet')
                if moveclose(pull_id, 300)==false then return false end
                mq.cmd('/pet attack')
                while mq.TLO.Me.XTarget()<1 do mq.delay(10) end
                mq.delay(100)
                mq.cmd('/pet stop')
                mq.cmd('/pet back off')
                gotonewithpet=true
            elseif mq.TLO.Me.AltAbilityReady(pulltools.pullwith)()==true then
                debug('pull with '..mq.TLO.Me.AltAbility(pulltools.pullwith).Spell())
                debug('range: '.. mq.TLO.Me.AltAbility(pulltools.pullwith).Spell.Range())
                if moveclose(pull_id, mq.TLO.Me.AltAbility(pulltools.pullwith).Spell.Range())==false then return false end
                mq.cmd('/alt act '..mq.TLO.Me.AltAbility(pulltools.pullwith).ID())
                mq.delay(20)
            elseif mq.TLO.Me.CombatAbilityReady(pulltools.pullwith)()==true then
                if moveclose(pull_id, mq.TLO.Me.CombatAbility(pulltools.pullwith).Spell.Range())==false then return false end
                mq.cmd('/doability \"'..mq.TLO.Me.CombatAbility(pulltools.pullwith).ID()..'\"')
                mq.delay(20)
            elseif mq.TLO.Me.SpellReady(pulltools.pullwith)()==true then
                if moveclose(pull_id, mq.TLO.Me.Spell(pulltools.pullwith).Range())==false then return false end
                mq.cmd('/cast \"'..pulltools.pullwith..'\"')
                mq.delay(20)
            end
        end
        if camploc.x~=0 then
            debug('moving home')
            mq.cmdf('/squelch /nav locxyz %s, %s, %s', camploc.x, camploc.y, camploc.z)
            mq.delay(1000)
            while (mq.TLO.Navigation.Active()) do 
                mq.delay(10) 
            end
            if pullpausemacro==true then mq.cmd('/mqp off') end
            pulling = false
        else
            debug('no home.. move to next mob')
            pulling = false
        end
        pull_id = 0
    end
end
local function binds(cmd, val)
	if cmd == 'pause' then togglePause(val)
	elseif cmd == 'dragcorpse' then print('testing')
    elseif cmd == 'camphere' then setcamp()
    elseif cmd == 'dopull' then 
        if dopull==true then dopull=false else dopull=true end
    elseif cmd == 'where' then print(mq.TLO.Zone.ShortName())
    elseif cmd == 'campoff' then camploc.x = 0
    elseif cmd == 'chaseon' then chaseon = val
                                print('the chase is on '..chaseon)
    elseif cmd == 'chaseoff' then 
        chaseon = nil
        print('the chase is off') 
    elseif cmd == 'updatespells' then firstrun = true
                                    updatespells = true
	--elseif cmd == nil or cmd == 'help' then listCommands()
	elseif cmd ~= 'dot' 
		and cmd ~= 'hide' 
		and cmd ~= 'disc' 
		and cmd ~= 'combat' 
		and cmd ~= 'clickies' 
		and cmd ~= 'poison' 
		and cmd ~= 'summon' 
		and cmd ~= 'stayalive'
		and cmd ~= 'glyph' 
		and cmd ~= 'dragcorpses'
		and cmd ~= 'burnalways' then
		print('\at[autotoon] \ay Invalid command')
	elseif (val ~= 'on' and val ~= 'off') or val == nil then
		print('\at[autotoon] \ay Please use on/off')
	else updateSettings(cmd, val) boolizeSettings() end
end

mq.delay(2000)

--updatevars()

local AutotoonGUI = function()
    local flags = ImGuiWindowFlags.AlwaysAutoResize or 0
    flags = bit32.bor(flags, ImGuiWindowFlags.NoCollapse)
    openGUI, shouldDrawGUI = ImGui.Begin('Autotoon GUI', openGUI, flags)
    if shouldDrawGUI then
        local pctHPs = mq.TLO.Me.GroupAssistTarget.PctHPs()
        if not pctHPs then pctHPs = 0 end
        local ratioHPs = pctHPs / 100
        ImGui.BeginTabBar('Autotoon', ImGuiTabBarFlags.Reorderable)
        if ImGui.BeginTabItem('Overview') then
            ImGui.BeginGroup()
            ImGui.SetNextItemWidth('50')
            if ImGui.SmallButton('Quit') then wereon = false end
            ImGui.SameLine()
            if pause==false then pausetext='Pause'
                ImGui.PushStyleColor(ImGuiCol.Button, 1, 0, 0, .3) 
            else pausetext='Run' 
                ImGui.PushStyleColor(ImGuiCol.Button, 0, 1, 0, .3)
            end
            if ImGui.SmallButton(pausetext) then
                if pause==false then pause=true else pause=false end
            end
            ImGui.PopStyleColor()
            ImGui.SameLine()
            if pause==true then ImGui.TextColored(0.88, 0, 0, 1, 'Paused') else ImGui.TextColored(0, 0.88, 0, 1, 'Running') end
            --local mode = ImGui.Checkbox('Paused', pause)
            --if mode ~= pause then if mode then pause = true else pause = false end end
            ImGui.SameLine()
            local debugmode = ImGui.Checkbox('Debug', dodebug) 
            if debugmode ~= dodebug then if debugmode then dodebug = true else dodebug = false end end
            ImGui.SameLine()
                ImGui.PushStyleColor(ImGuiCol.Button, 0, 1, 0, .3)
                local people = string.format("%s", mq.TLO.SpawnCount("PC")())
                if ImGui.SmallButton(people) then
                    mq.cmd('/keypress m')
                end
                if ImGui.IsItemHovered() then
                    ImGui.SetTooltip('Click to open map.')
                end

                ImGui.PopStyleColor()
                ImGui.EndGroup()
                ImGui.SameLine()
            ImGui.TextColored(0.39, 0.58, 0.92, 1, 'Target:')
            ImGui.SameLine()
            ImGui.TextColored(1, 1, 0.1, 1, mq.TLO.Target.CleanName() or "None")
            ImGui.SameLine()
            ImGui.TextColored(1, 1, 1, 1, 'LOS:')
            ImGui.SameLine()
            local checked = (mq.TLO.Target.LineOfSight())
            if checked then
                ImGui.TextColored(0, 1, 0, 1, 'T')
            else
                ImGui.TextColored(1, 0, 0, 1, 'F')
            end
            if dodebug then 
                for i = 1, 10 do
                    if debugmsg[i]~=nil then
                        ImGui.TextColored(0, 1, 0, 1, debugmsg[i])
                    end
                end
                --ImGui.TextColored(0, 1, 0, 1, 'buffgem:'..myspells.buffgem)
            end
            if paustime then 
                ImGui.TextColored(0, 1, 0, 1, 'pausing for: '..paustime) 
                if ImGui.SmallButton('end pause') then paustime = nil end
            end
            --ImGui.TextColored(0, 1, 1, 1, tostring(mq.TLO.Me.Combat()))
        ImGui.EndTabItem()
        end
        if ImGui.BeginTabItem('Settings') then
            if ImGui.SmallButton('Save Settings') then update_save_settings() end
            local modemelee = ImGui.Checkbox('Domelee', domelee) 
            if modemelee ~= domelee then if modemelee then domelee = true else domelee = false end end
            ImGui.SameLine()
            local modebuffs = ImGui.Checkbox('Buffs', dobuffs) 
            if modebuffs ~= dobuffs then if modebuffs then dobuffs = true else dobuffs = false end end
            ImGui.SameLine()
            local modedebuffs = ImGui.Checkbox('Debuffs', dodebuffs) 
            if modedebuffs ~= dodebuffs then if modedebuffs then dodebuffs = true else dodebuffs = false end end
            ImGui.SameLine()
            local modeheals = ImGui.Checkbox('Heals', doheals) 
            if modeheals ~= doheals then if modeheals then doheals = true else doheals = false end end
            local meleeplug = ImGui.Checkbox('MQ2Melee', usemeleeplugin)
            if meleeplug ~= usemeleeplugin then if meleeplug then usemeleeplugin = true else usemeleeplugin = false end end
            ImGui.SameLine()
            local modemount = ImGui.Checkbox('Use Mount', usemount)
            if modemount ~= usemount then if modemount then usemount = true else usemount = false end end
            local mercrevive = ImGui.Checkbox('Revive Merc', usemerc)
            if mercrevive ~= usemerc then if mercrevive then usemerc = true else usemerc = false end end
            local assistout = ImGui.Checkbox('Assist Outside', assistoutside.on)
            if assistout ~=  assistoutside.on then if assistout then  assistoutside.on = true else  assistoutside.on = false end end
            if assistoutside.on == true then
                local assflags = ImGuiComboFlags.PopupAlignLeft
                local assistsearch = string.format('pc radius %s targetable zradius %s',assistrange,20)

                local asscount = mq.TLO.SpawnCount(assistsearch)()
                if asscount > 0 then
                    if ImGui.BeginCombo("assist who:", assistoutside.name, assflags) then
                    for n = 1, asscount do
                        local assname=mq.TLO.NearestSpawn(n, assistsearch).CleanName()
                        local ass_id = mq.TLO.NearestSpawn(n, assistsearch).ID()

                        local ass_selected = assistoutside.id == ass_id
                        if ImGui.Selectable(assname, ass_selected) then -- fixme: selectable
                            assistoutside.id = ass_id
                            assistoutside.name = assname
                        end
            
                        -- Set the initial focus when opening the combo (scrolling + keyboard navigation focus)
                        if ass_selected then
                            ImGui.SetItemDefaultFocus()
                        end
                    end
            
                    ImGui.EndCombo()
                    end
                end

            end
            ImGui.Text('Autoassistat')
            ImGui.SameLine()
            ImGui.SetNextItemWidth('40')
            tmp=tostring(autoassistat)
            tmp=ImGui.InputText('##tmp',tmp)
            autoassistat=tonumber(tmp)
            ImGui.SameLine()
            ImGui.Text('Assistrange')
            ImGui.SameLine()
            ImGui.SetNextItemWidth('40')
            tmp2=tostring(assistrange)
            tmp2=ImGui.InputText('##tmp2',tmp2)
            assistrange=tonumber(tmp2)

            ImGui.BeginGroup()
            ImGui.Separator()
            local mode2 = ImGui.Checkbox('Also to group', dogcom) 
            if mode2 ~= dogcom 
                then if mode2 then 
                    dogcom = true
                    gcom = '/dgz '
                else 
                    dogcom = false
                    gcom = '' 
                end 
            end
            if ImGui.SmallButton('Camphere') then mq.cmd(gcom..'/pp camphere') end
            if ImGui.IsItemHovered() then ImGui.SetTooltip('Set camp here') end
            ImGui.SameLine()
            if ImGui.SmallButton('Campoff') then mq.cmd(gcom..'/pp campoff') end
            if ImGui.IsItemHovered() then ImGui.SetTooltip('Set camp off') end
            ImGui.SameLine()
            if ImGui.SmallButton('Chaseon') then mq.cmd(gcom..'/pp chaseon '..mq.TLO.Target.Name()) end
            if ImGui.IsItemHovered() then ImGui.SetTooltip('Chase current target') end
            ImGui.SameLine()
            if ImGui.SmallButton('Chaseoff') then mq.cmd(gcom..'/pp chaseoff') end
            if ImGui.IsItemHovered() then ImGui.SetTooltip('stop chasing') end
            ImGui.Separator()
            ImGui.EndGroup()
            
            if ImGui.SmallButton('Update spells') then mq.cmd('/pp updatespells') end
            if ImGui.IsItemHovered() then ImGui.SetTooltip('Use this when new spells have been scribed') end
            ImGui.Separator()
            ImGui.EndTabItem()
        end
        if ImGui.BeginTabItem('Pull') then
            local mode = ImGui.Checkbox('pull', dopull) 
            if mode ~= dopull then if mode then dopull = true else dopull = false end end
            if dopull then
                local onlist = {}
                local pullsearch = string.format('npc radius %s targetable zradius %s range %s %s playerstate 0',pullrad,pullzrad,lowlvl,highlvl)
                ImGui.SameLine()
                local mode2 = ImGui.Checkbox('pause macro', pullpausemacro) 
                if mode2 ~= pullpausemacro then if mode2 then pullpausemacro = true else pullpausemacro = false end end
                local pullcount = mq.TLO.SpawnCount(pullsearch)()
                if pulltools.pullwith~=nil then
                    --ImGui.Text('pullwith: '..pulltools.pullwith)
                    --ImGui.SameLine()
                end
                pulltools.pullchoice = ImGui.Combo("Pullwith", pulltools.pullchoice, "melee\0range\0pet\0aa\0ca\0spell\0\0")
                if pulltools.pullchoice > 3 then
                    ImGui.Text('Pullwith')
                    ImGui.SameLine()
                    ImGui.SetNextItemWidth('100')
                    pulltools.pullwith = ImGui.InputText("##pulltools.pullwith", pulltools.pullwith)
                end
                --ImGui.SameLine()
                ImGui.BeginGroup()
                ImGui.Text(' Radius')
                ImGui.SameLine()
                ImGui.SetNextItemWidth('40')
                pullrad = ImGui.InputText("##pullrad", pullrad)
                ImGui.SameLine()
                ImGui.Text('ZRadius')
                ImGui.SameLine()
                ImGui.SetNextItemWidth('40')
                pullzrad = ImGui.InputText("##pullzrad", pullzrad)
                ImGui.Separator()
                ImGui.EndGroup()
                --if pullcount > 20 then pullcount=20 end
                if pullcount > 0 then
                    for i = 1, pullcount do
                        local pullname=mq.TLO.NearestSpawn(i, pullsearch).CleanName()
                        local pull_id = mq.TLO.NearestSpawn(i, pullsearch).ID()
                        if pullname~=nil and onlist[pullname]~=true then
                            onlist[pullname]=true
                            pullable[pullname] = ImGui.Checkbox('Pull'..i, pullable[pullname]) 
                            ImGui.SameLine()
                            ImGui.Text(pullname)
                            ImGui.SameLine()
                            ImGui.TextColored(1,0,0,1,tostring(mq.TLO.NearestSpawn(i, pullsearch).Level()))
                        end
                    end
                end
                ImGui.Separator()
            end
            ImGui.EndTabItem()
        end
        ImGui.End()
    end
end

mq.imgui.init('AutotoonGUI', AutotoonGUI)
mq.bind('/autotoongui', function()
    openGUI = not openGUI
end)
mq.bind('/pp', binds)


local function blockedspelladd(line, arg1, arg2, arg3)
    event = string.format('%s %s', arg1, arg2, arg3)
    if arg1~=nil then
        print(arg1..' blocked by '..arg3..', stopping it from being cast if not group spell')
        if mq.TLO.Me.Spell(arg1).Name()~=nil then
            blockedspells[mq.TLO.Me.Spell(arg1).Name()] = true
        else
            blockedspells[mq.TLO.Me.Spell(arg1).Trigger(1)] = true
        end
    else
        blockedspells[lastcast] = true
    end
end

mq.event('blockedspell', "Your #1# spell did not take hold on #2#. (Blocked by #3#.)", blockedspelladd)
mq.event('blockedspell2', "Your #1# spell did not take hold. (#2# by #3#.)", blockedspelladd)
mq.event('blockedspell3',"You do not have sufficient focus to maintain that ability.", blockedspelladd)

debug('starting main loop')
-- here comes the main loop
while wereon == true do 
    if needapause and paustime==nil and mq.TLO.Me.XTarget()<1 then
        debug('pausing pulls')
        dopaustime = os.time()+120
        --mq.delay(10000)
        needapause = false
        paustime = 1200
    end
    if os.time() > dopaustime and paustime~=nil then
        paustime=nil
    end
    if firstrun then
        updatevars()
        firstrun = false
        updatespells=false
        print('memming spells if needed -- ')
        memspells(myspells, true)
        mq.cmd('/book close')
    end
    if mq.TLO.Me.XTarget()<1 then checkgroup() end
    castpause()
    calmness = calmness + 1

    -- no activity if zoning or in pok/lobby
    if mq.TLO.Me.Zoning() == false and string.find('globby, poknowledge', mq.TLO.Zone.ShortName()) == nil and pause == false and mq.TLO.Me.Dead() == false then
        debug('enter main loop')
        if mq.TLO.Cursor.ID() ~= nil and summoned then mq.cmd('/autoinv') mq.delay(500) end
        if mq.TLO.Me.Combat() == false and mq.TLO.Me.XTarget()<1 and pulling==false then
            -- go back to camp if camp is set
            if checkifcamp() then
                if not mq.TLO.Me.Sitting() and not mq.TLO.Me.Moving() and not mq.TLO.Me.Casting() and calmness > calmenough then 
                    mq.cmd('/sit on')
                end
            end
        end
        if mq.TLO.Me.Dead() == true then
            debug('i am dead')
            mq.cmd('/attack off')
            mq.cmd('/melee off')
            mq.delay(5000)
        end
        if mq.TLO.Me.Combat() == false and doassist and goodToGo() then
            debug('check if assist')
            if mq.TLO.Me.ID() ~= mq.TLO.Group.MainAssist.ID() then
                GroupAssist()   -- assist group main assist
            else
                debug('im assist')
                Picktarget()
            end
        end
        if mq.TLO.Me.Combat()==true and mq.TLO.Me.XTarget()<1 then
            mq.cmd('/attack off')
            mq.cmd('/melee off')
        end
        if dodebuffs and goodToGo() then
            debug('check debuffs')
            debuffs()     -- debuff target if needed
        end
        if doheals then
            debug('check group')
            Checkgrouphp()
        end
        if dobuffs and goodToGo() then
            debug('check buffs')
            Checkbuffs()    -- check for and buff if needed
        end

        if string.find('BRD', mq.TLO.Me.Class.ShortName()) and dobuffs then
            --debug('check songs')
            Checksongs()
        end
        if usepet and mq.TLO.Me.PctMana() > 10 then
            debug('check pet')
            fixpet()
            if mq.TLO.Target()~=nil and gotonewithpet == true and mq.TLO.Target.Distance() < assistrange then
                debug('resume pet attack')
                mq.delay(4000)
                mq.cmd('/pet attack')
                gotonewithpet=false
            end
        end
        if usemerc then
            if (mq.TLO.Mercenary.State() ~= "ACTIVE") then
                if (mq.TLO.Me.Grouped() and mq.TLO.Window("MMGW_ManageWnd").Child("MMGW_SuspendButton").Tooltip() == "Revive your current mercenary.") then
                    if mq.TLO.Window("MMGW_ManageWnd").Child("MMGW_SuspendButton").Enabled() then
                        mq.TLO.Window("MMGW_ManageWnd").Child("MMGW_SuspendButton").LeftMouseUp()
                    else
                        if paustime==nil then needapause = true end
                    end
                end
            end
        end
        if (dopull==true and mq.TLO.Me.XTarget()<1 and paustime==nil and needapause==false and pulling==false) and goodToGo() then
            debug('trying to pull')
            if mq.TLO.Me.Sitting() then 
                mq.cmd('/sit off')
                mq.delay(100)
            end
            if pullmob()==false then paustime=10
                pulling=false
                mq.cmd('/target clear')
            end
        end
        if domelee and goodToGo() then
            workmelee() -- do some melee skills if set
        end
        --if chaseon~=nil and mq.TLO.Spawn(chaseon).Distance() > 30 and mq.TLO.Navigation.Active()==false and mq.TLO.Me.Casting()==false then
        if chaseon~=nil and mq.TLO.Spawn(chaseon).Distance() > 30 and mq.TLO.Navigation.Active()==false and not mq.TLO.Me.Casting() then
            mq.cmd('/squelch /nav ID '..mq.TLO.Spawn(chaseon).ID()..' distance=30 log=off')
            calmness = 0
        end
    end
    if mq.TLO.Plugin('mq2melee').IsLoaded() == false and usemeleeplugin==true then mq.cmd('/plugin MQ2Melee') end
    if mq.TLO.Plugin('mq2melee').IsLoaded() == true and usemeleeplugin==false then mq.cmd('/plugin MQ2Melee unload') end
    mq.doevents()   -- check for any events
    mq.delay(10)
 end
 print('ended')